import { listen } from './minio-listen/minio.ts';
import { app } from './app.ts';
import './routes/index.ts';
import { storage } from './modules/storage.ts';

export { app };
listen();

export const runCheck = async () => {
  const isFirst = await storage.checkIsFirst();
  if (isFirst) {
    console.log('This is the first run, initializing sync...');
    await app.call(
      {
        path: 'file-listener',
        key: 'sync-all',
        payload: {},
      },
      { timeout: 1000 * 60 * 60 }, // 1 hour timeout
    );
  }
};
