import { Client } from 'minio';
import { config } from './config.ts';
import { OssBase } from '@kevisual/oss';

export const bucketName = config.MINIO_BUCKET_NAME || 'resources';
export const minioClient = new Client({
  endPoint: config.MINIO_ENDPOINT || 'localhost',
  port: parseInt(config.MINIO_PORT || '9000', 10),
  useSSL: config.MINIO_USE_SSL === 'true',
  accessKey: config.MINIO_ACCESS_KEY || 'minioadmin',
  secretKey: config.MINIO_SECRET_KEY || 'minioadmin',
});

export const oss = new OssBase({
  client: minioClient,
  bucketName: config.MINIO_BUCKET_NAME || 'resources',
});

export type SyncFile = {
  name: string;
  etag: string;
  size: number;
  lastModified: Date;
  userMetadata?: Record<string, string>;
};

export const syncTypes = ['sync', 'delete', 'create', 'update'] as const;
export type SyncType = (typeof syncTypes)[number];
